$(document).ready(function() {

    $(document).on('click', '.badge.ps-id', function() {
        // Al hacer click en badge ps id debe abrir una nueva pestaña con la url de ps
        let ps_id = $(this).data('ps-id');
        let token = $('#psToken').val();
        let url = 'https://dementegames.cl/admin161m0dq8h/index.php?controller=AdminOrders&vieworder&id_order=' + ps_id + '&token=' + token;
        window.open(url, '_blank');
    });

    // carga Datos Giftcard
    $('#modalGiftcardForm').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget)
        var modal = $(this);

        modal.find('#idGiftcard').val(0);
        limpiaModal();

        if (button.data('id') == 0) {
            modal.find('.btn-eliminar').hide();
            modal.find('.btn-editar').html('Crear');
            modal.find('.modal-wait').show();
        }
        else {
            modal.find('.btn-eliminar').show();
            var parametros = {
                id : button.data('id')
            };

            $.ajax({
                data:  parametros,
                url:   '/giftcards/info',
                type:  'post',
                beforeSend: function () {
                },
                success:  function (response) {
                    giftcard = response.giftcard;
                    modal.find('#idGiftcard').val(giftcard.id);
                    modal.find('.input-id-venta').val(giftcard.id_venta);
                    modal.find('.input-id-venta-ps').val(giftcard.id_venta_ps);

                    modal.find('.input-base').val(giftcard.base);

                    modal.find('.input-nombre-destinatario').val(giftcard.nombre_destinatario);
                    modal.find('.input-email-destinatario').val(giftcard.email_destinatario);
                    modal.find('.input-mensaje').val(giftcard.mensaje);
                    modal.find('.input-nombre-remitente').val(giftcard.nombre_remitente);
                    modal.find('.input-id-cupon').val(giftcard.id_cupon);
                    modal.find('.input-monto').val(giftcard.monto);
                    modal.find('.input-codigo').val(giftcard.codigo);
					modal.find('.select-id-tipo').val(giftcard.id_tipo);
                }
            });
        }
    });

    $('#modalGiftcardForm #formGiftcard').submit(function( event ) {
        event.preventDefault();
        $('#modalGiftcardForm .btn-editar').click();
    });


    $('#modalGiftcardForm .btn-editar' ).click(function() {
        let button = $(this);
        $('.alert-giftcard').html('').hide();
        button.attr('disabled', 'disabled');
        button.html('Enviando');

        let parametros = $('#formGiftcard').serialize();
        let id = $('#idTraspaso').val();

        $.ajax({
            data:  parametros,
            url:   '/giftcards/guardar',
            type:  'post',
            beforeSend: function () {
            },
            success:  function (response) {
                if (response.status == 'success') {
                    location.reload();
                    /*
                    var id = $('#idGiftcard').val();
                    if (id == 0) {
                        location.reload();
                    }
                    else {
                        let giftcard = $('#giftcard' + id);
                        giftcard.find('.descripcion').html($('.input-descripcion').val());
                        giftcard.find('.nombre-origen').html($('.select-id-origen option:selected').html());
                        giftcard.find('.nombre-destino').html($('.select-id-destino option:selected').html());
                        $('#modalGiftcardForm').modal('hide');
                        $('.tt').blur();
                        $('.tooltip').hide();
                    }
                    */
                }
                else {
                    // Mostrar errores en div flash
                    $('.alert-giftcard').html(response.message).show();
                    button.removeAttr('disabled');
                    button.html('Editar');
                    if (id == 0) {
                        button.html('Crear');
                    }
                }
            },
            error: function() {
                $('.alert-giftcard').html('Error de servidor. Por favor informar el problema al administrador.').show();
                button.removeAttr('disabled');
                button.html('Editar');
                if (id == 0) {
                    button.html('Crear');
                }
            }
        });
    });

    $('#modalGiftcardForm .btn-eliminar').click(function() {
        if (confirm('Eliminar')) {
            var id = $('#idGiftcard').val();
            var parametros = {
                id : id
            };
            $.ajax({
                data:  parametros,
                url:   '/giftcards/delete',
                type:  'post',
                beforeSend: function () {
                
                },
                success:  function (response) {
                    $('#giftcard' + id).remove();
                    $('#modalGiftcardForm').modal('hide');
                }
            });
        }
    });

    // Mostrar modal para enviar boleta
    $('#modalEnvioGiftcard').on('show.bs.modal', function (event) {
        $('.modal-wait').hide();
        let button = $(event.relatedTarget)
        let modal = $(this);
        
        //modal.find('#editarVenta').removeAttr('disabled');
        if (button.data('id') > 0) {
            let parametros = {
                id : button.data('id')
            };

            $.ajax({
                data:  parametros,
                url:   '/giftcards/info',
                type:  'post',
                beforeSend: function () {
                },
                success:  function (response) {
                    giftcard = response.giftcard;
                    modal.find('#idGiftcardEnviar').val(giftcard.id);
                    $('.modal-wait').show();
                }
            });
        }
    });

    $("#enviarGiftcard" ).click(function() {
        let button = $(this);
        button.attr('disabled', 'disabled');
        button.html('Enviando');
        let id = $('#idGiftcardEnviar').val()
        let parametros = {
            id : id
        };

        $.ajax({
            data:  parametros,
            url:   '/giftcards/enviar_giftcard',
            type:  'post',
            beforeSend: function () {
            },
            success:  function (response) {
                //let id = $('#idVenta').val();
                if (response.status == 'success') {
                    location.reload();
                }
                else {
                    console.log('Error');
                    console.log(response);
                    button.removeAttr('disabled');
                    button.html('Enviar');
                    if (id == 0) {
                        button.html('Enviar');
                    }
                }
            },
            error: function() {
                $('.alert-giftcard').html('Error de servidor. Por favor informar el problema al administrador.').show();
                button.removeAttr('disabled');
                button.html('Enviar');
            }
        });
    });


	// Mostrar modal para enviar boleta
    $('#modalEnvioGiftcardNavidad').on('show.bs.modal', function (event) {
        $('.modal-wait').hide();
        let button = $(event.relatedTarget)
        let modal = $(this);
        
        //modal.find('#editarVenta').removeAttr('disabled');
        if (button.data('id') > 0) {
            let parametros = {
                id : button.data('id')
            };

            $.ajax({
                data:  parametros,
                url:   '/giftcards/info',
                type:  'post',
                beforeSend: function () {
                },
                success:  function (response) {
                    giftcard = response.giftcard;
                    modal.find('#idGiftcardEnviarNavidad').val(giftcard.id);
                    $('.modal-wait').show();
                }
            });
        }
    });

    $("#enviarGiftcardNavidad" ).click(function() {
        let button = $(this);
        button.attr('disabled', 'disabled');
        button.html('Enviando');
        let id = $('#idGiftcardEnviarNavidad').val()
		console.log(id);
        let parametros = {
            id : id
        };

        $.ajax({
            data:  parametros,
            url:   '/giftcards/enviar_navidad',
            type:  'post',
            beforeSend: function () {
            },
            success:  function (response) {
                //let id = $('#idVenta').val();
                if (response.status == 'success') {
                    location.reload();
                }
                else {
                    console.log('Error');
                    console.log(response);
                    button.removeAttr('disabled');
                    button.html('Enviar');
                    if (id == 0) {
                        button.html('Enviar');
                    }
                }
            },
            error: function() {
                $('.alert-giftcard').html('Error de servidor. Por favor informar el problema al administrador.').show();
                button.removeAttr('disabled');
                button.html('Enviar');
            }
        });
    });

});

function limpiaModal(){
    $('#modalGiftcardForm input').val('');
}